import tkinter as tk

# tailwindcss tkinter converter
class Tw:
    def __init__(self, master=None):
        self.master = master

    def apply_classes(self, widget, cls):
        # tailwindcss classes to tkinter
        class_settings = {
            "bg-black": {"bg": "black"},
            "bg-white": {"bg": "white"},
            "bg-red-50": {"bg": "#FEE2E2"},
            "bg-red-100": {"bg": "#FECACA"},
            "bg-red-200": {"bg": "#FCA5A5"},
            "bg-red-300": {"bg": "#F87171"},
            "bg-red-400": {"bg": "#EF4444"},
            "bg-red-500": {"bg": "#DC2626"},
            "bg-red-600": {"bg": "#B91C1C"},
            "bg-red-700": {"bg": "#991B1B"},
            "bg-red-800": {"bg": "#7F1D1D"},
            "bg-red-900": {"bg": "#6B1818"},
            "text-black": {"fg": "#000000"},
            "text-white": {"fg": "#FFFFFF"},
            "text-red-50": {"fg": "#FEE2E2"},
            "text-red-100": {"fg": "#FECACA"},
            "text-red-200": {"fg": "#FCA5A5"},
            "text-red-300": {"fg": "#F87171"},
            "text-red-400": {"fg": "#EF4444"},
            "text-red-500": {"fg": "#DC2626"},
            "text-red-600": {"fg": "#B91C1C"},
            "text-red-700": {"fg": "#991B1B"},
            "text-red-800": {"fg": "#7F1D1D"},
            "text-red-900": {"fg": "#6B1818"},
            "bg-blue-50": {"bg": "#EFF6FF"},
            "bg-blue-100": {"bg": "#DBEAFE"},
            "bg-blue-200": {"bg": "#BFDBFE"},
            "bg-blue-300": {"bg": "#93C5FD"},
            "bg-blue-400": {"bg": "#60A5FA"},
            "bg-blue-500": {"bg": "#3B82F6"},
            "bg-blue-600": {"bg": "#2563EB"},
            "bg-blue-700": {"bg": "#1D4ED8"},
            "bg-blue-800": {"bg": "#1E40AF"},
            "bg-blue-900": {"bg": "#1E3A8A"},
            "text-blue-50": {"fg": "#EFF6FF"},
            "text-blue-100": {"fg": "#DBEAFE"},
            "text-blue-200": {"fg": "#BFDBFE"},
            "text-blue-300": {"fg": "#93C5FD"},
            "text-blue-400": {"fg": "#60A5FA"},
            "text-blue-500": {"fg": "#3B82F6"},
            "text-blue-600": {"fg": "#2563EB"},
            "text-blue-700": {"fg": "#1D4ED8"},
            "text-blue-800": {"fg": "#1E40AF"},
            "text-blue-900": {"fg": "#1E3A8A"},
            "bg-red-50": {"bg": "#FEF2F2"},
            "bg-red-100": {"bg": "#FEE2E2"},
            "bg-red-200": {"bg": "#FECACA"},
            "bg-red-300": {"bg": "#FCA5A5"},
            "bg-red-400": {"bg": "#F87171"},
            "bg-red-500": {"bg": "#EF4444"},
            "bg-red-600": {"bg": "#DC2626"},
            "bg-red-700": {"bg": "#B91C1C"},
            "bg-red-800": {"bg": "#991B1B"},
            "bg-red-900": {"bg": "#7F1D1D"},
            "text-red-50": {"fg": "#FEF2F2"},
            "text-red-100": {"fg": "#FEE2E2"},
            "text-red-200": {"fg": "#FECACA"},
            "text-red-300": {"fg": "#FCA5A5"},
            "text-red-400": {"fg": "#F87171"},
            "text-red-500": {"fg": "#EF4444"},
            "text-red-600": {"fg": "#DC2626"},
            "text-red-700": {"fg": "#B91C1C"},
            "text-red-800": {"fg": "#991B1B"},
            "text-red-900": {"fg": "#7F1D1D"},
            "bg-indigo-50": {"bg": "#E0E7FF"},
            "bg-indigo-100": {"bg": "#C7D2FE"},
            "bg-indigo-200": {"bg": "#A5B4FC"},
            "bg-indigo-300": {"bg": "#818CF8"},
            "bg-indigo-400": {"bg": "#6366F1"},
            "bg-indigo-500": {"bg": "#4F46E5"},
            "bg-indigo-600": {"bg": "#4338CA"},
            "bg-indigo-700": {"bg": "#3730A3"},
            "bg-indigo-800": {"bg": "#312E81"},
            "bg-indigo-900": {"bg": "#282C59"},
            "text-indigo-50": {"fg": "#E0E7FF"},
            "text-indigo-100": {"fg": "#C7D2FE"},
            "text-indigo-200": {"fg": "#A5B4FC"},
            "text-indigo-300": {"fg": "#818CF8"},
            "text-indigo-400": {"fg": "#6366F1"},
            "text-indigo-500": {"fg": "#4F46E5"},
            "text-indigo-600": {"fg": "#4338CA"},
            "text-indigo-700": {"fg": "#3730A3"},
            "text-indigo-800": {"fg": "#312E81"},
            "text-indigo-900": {"fg": "#282C59"},
            "bg-purple-50": {"bg": "#F3E8FF"},
            "bg-purple-100": {"bg": "#E9D5FF"},
            "bg-purple-200": {"bg": "#D6BCFA"},
            "bg-purple-300": {"bg": "#B794F4"},
            "bg-purple-400": {"bg": "#9F7AEA"},
            "bg-purple-500": {"bg": "#805AD5"},
            "bg-purple-600": {"bg": "#6B46C1"},
            "bg-purple-700": {"bg": "#553C9A"},
            "bg-purple-800": {"bg": "#44337A"},
            "bg-purple-900": {"bg": "#322659"},
            "text-purple-50": {"fg": "#F3E8FF"},
            "text-purple-100": {"fg": "#E9D5FF"},
            "text-purple-200": {"fg": "#D6BCFA"},
            "text-purple-300": {"fg": "#B794F4"},
            "text-purple-400": {"fg": "#9F7AEA"},
            "text-purple-500": {"fg": "#805AD5"},
            "text-purple-600": {"fg": "#6B46C1"},
            "text-purple-700": {"fg": "#553C9A"},
            "text-purple-800": {"fg": "#44337A"},
            "text-purple-900": {"fg": "#322659"},
            "bg-indigo-50": {"bg": "#E0E7FF"},
            "bg-indigo-100": {"bg": "#C7D2FE"},
            "bg-indigo-200": {"bg": "#A5B4FC"},
            "bg-indigo-300": {"bg": "#818CF8"},
            "bg-indigo-400": {"bg": "#6366F1"},
            "bg-indigo-500": {"bg": "#4F46E5"},
            "bg-indigo-600": {"bg": "#4338CA"},
            "bg-indigo-700": {"bg": "#3730A3"},
            "bg-indigo-800": {"bg": "#312E81"},
            "bg-indigo-900": {"bg": "#282C59"},
            "text-indigo-50": {"fg": "#E0E7FF"},
            "text-indigo-100": {"fg": "#C7D2FE"},
            "text-indigo-200": {"fg": "#A5B4FC"},
            "text-indigo-300": {"fg": "#818CF8"},
            "text-indigo-400": {"fg": "#6366F1"},
            "text-indigo-500": {"fg": "#4F46E5"},
            "text-indigo-600": {"fg": "#4338CA"},
            "text-indigo-700": {"fg": "#3730A3"},
            "text-indigo-800": {"fg": "#312E81"},
            "text-indigo-900": {"fg": "#282C59"},
            "bg-purple-50": {"bg": "#F3E8FF"},
            "bg-purple-100": {"bg": "#E9D5FF"},
            "bg-purple-200": {"bg": "#D6BCFA"},
            "bg-purple-300": {"bg": "#B794F4"},
            "bg-purple-400": {"bg": "#9F7AEA"},
            "bg-purple-500": {"bg": "#805AD5"},
            "bg-purple-600": {"bg": "#6B46C1"},
            "bg-purple-700": {"bg": "#553C9A"},
            "bg-purple-800": {"bg": "#44337A"},
            "bg-purple-900": {"bg": "#322659"},
            "text-purple-50": {"fg": "#F3E8FF"},
            "text-purple-100": {"fg": "#E9D5FF"},
            "text-purple-200": {"fg": "#D6BCFA"},
            "text-purple-300": {"fg": "#B794F4"},
            "text-purple-400": {"fg": "#9F7AEA"},
            "text-purple-500": {"fg": "#805AD5"},
            "text-purple-600": {"fg": "#6B46C1"},
            "text-purple-700": {"fg": "#553C9A"},
            "text-purple-800": {"fg": "#44337A"},
            "text-purple-900": {"fg": "#322659"},
            "active:bg-black": {"activebackground": "black"},
            "active:bg-white": {"activebackground": "white"},
            "active:bg-red-50": {"activebackground": "#FEE2E2"},
            "active:bg-red-100": {"activebackground": "#FECACA"},
            "active:bg-red-200": {"activebackground": "#FCA5A5"},
            "active:bg-red-300": {"activebackground": "#F87171"},
            "active:bg-red-400": {"activebackground": "#EF4444"},
            "active:bg-red-500": {"activebackground": "#DC2626"},
            "active:bg-red-600": {"activebackground": "#B91C1C"},
            "active:bg-red-700": {"activebackground": "#991B1B"},
            "active:bg-red-800": {"activebackground": "#7F1D1D"},
            "active:bg-red-900": {"activebackground": "#6B1818"},
            "active:text-black": {"activeforeground": "#000000"},
            "active:text-white": {"activeforeground": "#FFFFFF"},
            "active:text-red-50": {"activeforeground": "#FEE2E2"},
            "active:text-red-100": {"activeforeground": "#FECACA"},
            "active:text-red-200": {"activeforeground": "#FCA5A5"},
            "active:text-red-300": {"activeforeground": "#F87171"},
            "active:text-red-400": {"activeforeground": "#EF4444"},
            "active:text-red-500": {"activeforeground": "#DC2626"},
            "active:text-red-600": {"activeforeground": "#B91C1C"},
            "active:text-red-700": {"activeforeground": "#991B1B"},
            "active:text-red-800": {"activeforeground": "#7F1D1D"},
            "active:text-red-900": {"activeforeground": "#6B1818"},
            "active:bg-blue-50": {"activebackground": "#EFF6FF"},
            "active:bg-blue-100": {"activebackground": "#DBEAFE"},
            "active:bg-blue-200": {"activebackground": "#BFDBFE"},
            "active:bg-blue-300": {"activebackground": "#93C5FD"},
            "active:bg-blue-400": {"activebackground": "#60A5FA"},
            "active:bg-blue-500": {"activebackground": "#3B82F6"},
            "active:bg-blue-600": {"activebackground": "#2563EB"},
            "active:bg-blue-700": {"activebackground": "#1D4ED8"},
            "active:bg-blue-800": {"activebackground": "#1E40AF"},
            "active:bg-blue-900": {"activebackground": "#1E3A8A"},
            "active:text-blue-50": {"activeforeground": "#EFF6FF"},
            "active:text-blue-100": {"activeforeground": "#DBEAFE"},
            "active:text-blue-200": {"activeforeground": "#BFDBFE"},
            "active:text-blue-300": {"activeforeground": "#93C5FD"},
            "active:text-blue-400": {"activeforeground": "#60A5FA"},
            "active:text-blue-500": {"activeforeground": "#3B82F6"},
            "active:text-blue-600": {"activeforeground": "#2563EB"},
            "active:text-blue-700": {"activeforeground": "#1D4ED8"},
            "active:text-blue-800": {"activeforeground": "#1E40AF"},
            "active:text-blue-900": {"activeforeground": "#1E3A8A"},
            "active:bg-red-50": {"activebackground": "#FEF2F2"},
            "active:bg-red-100": {"activebackground": "#FEE2E2"},
            "active:bg-red-200": {"activebackground": "#FECACA"},
            "active:bg-red-300": {"activebackground": "#FCA5A5"},
            "active:bg-red-400": {"activebackground": "#F87171"},
            "active:bg-red-500": {"activebackground": "#EF4444"},
            "active:bg-red-600": {"activebackground": "#DC2626"},
            "active:bg-red-700": {"activebackground": "#B91C1C"},
            "active:bg-red-800": {"activebackground": "#991B1B"},
            "active:bg-red-900": {"activebackground": "#7F1D1D"},
            "active:text-red-50": {"activeforeground": "#FEF2F2"},
            "active:text-red-100": {"activeforeground": "#FEE2E2"},
            "active:text-red-200": {"activeforeground": "#FECACA"},
            "active:text-red-300": {"activeforeground": "#FCA5A5"},
            "active:text-red-400": {"activeforeground": "#F87171"},
            "active:text-red-500": {"activeforeground": "#EF4444"},
            "active:text-red-600": {"activeforeground": "#DC2626"},
            "active:text-red-700": {"activeforeground": "#B91C1C"},
            "active:text-red-800": {"activeforeground": "#991B1B"},
            "active:text-red-900": {"activeforeground": "#7F1D1D"},
            "active:bg-indigo-50": {"activebackground": "#E0E7FF"},
            "active:bg-indigo-100": {"activebackground": "#C7D2FE"},
            "active:bg-indigo-200": {"activebackground": "#A5B4FC"},
            "active:bg-indigo-300": {"activebackground": "#818CF8"},
            "active:bg-indigo-400": {"activebackground": "#6366F1"},
            "active:bg-indigo-500": {"activebackground": "#4F46E5"},
            "active:bg-indigo-600": {"activebackground": "#4338CA"},
            "active:bg-indigo-700": {"activebackground": "#3730A3"},
            "active:bg-indigo-800": {"activebackground": "#312E81"},
            "active:bg-indigo-900": {"activebackground": "#282C59"},
            "active:text-indigo-50": {"activeforeground": "#E0E7FF"},
            "active:text-indigo-100": {"activeforeground": "#C7D2FE"},
            "active:text-indigo-200": {"activeforeground": "#A5B4FC"},
            "active:text-indigo-300": {"activeforeground": "#818CF8"},
            "active:text-indigo-400": {"activeforeground": "#6366F1"},
            "active:text-indigo-500": {"activeforeground": "#4F46E5"},
            "active:text-indigo-600": {"activeforeground": "#4338CA"},
            "active:text-indigo-700": {"activeforeground": "#3730A3"},
            "active:text-indigo-800": {"activeforeground": "#312E81"},
            "active:text-indigo-900": {"activeforeground": "#282C59"},
            "active:bg-purple-50": {"activebackground": "#F3E8FF"},
            "active:bg-purple-100": {"activebackground": "#E9D5FF"},
            "active:bg-purple-200": {"activebackground": "#D6BCFA"},
            "active:bg-purple-300": {"activebackground": "#B794F4"},
            "active:bg-purple-400": {"activebackground": "#9F7AEA"},
            "active:bg-purple-500": {"activebackground": "#805AD5"},
            "active:bg-purple-600": {"activebackground": "#6B46C1"},
            "active:bg-purple-700": {"activebackground": "#553C9A"},
            "active:bg-purple-800": {"activebackground": "#44337A"},
            "active:bg-purple-900": {"activebackground": "#322659"},
            "active:text-purple-50": {"activeforeground": "#F3E8FF"},
            "active:text-purple-100": {"activeforeground": "#E9D5FF"},
            "active:text-purple-200": {"activeforeground": "#D6BCFA"},
            "active:text-purple-300": {"activeforeground": "#B794F4"},
            "active:text-purple-400": {"activeforeground": "#9F7AEA"},
            "active:text-purple-500": {"activeforeground": "#805AD5"},
            "active:text-purple-600": {"activeforeground": "#6B46C1"},
            "active:text-purple-700": {"activeforeground": "#553C9A"},
            "active:text-purple-800": {"activeforeground": "#44337A"},
            "active:text-purple-900": {"activeforeground": "#322659"},
            "active:bg-indigo-50": {"activebackground": "#E0E7FF"},
            "active:bg-indigo-100": {"activebackground": "#C7D2FE"},
            "active:bg-indigo-200": {"activebackground": "#A5B4FC"},
            "active:bg-indigo-300": {"activebackground": "#818CF8"},
            "active:bg-indigo-400": {"activebackground": "#6366F1"},
            "active:bg-indigo-500": {"activebackground": "#4F46E5"},
            "active:bg-indigo-600": {"activebackground": "#4338CA"},
            "active:bg-indigo-700": {"activebackground": "#3730A3"},
            "active:bg-indigo-800": {"activebackground": "#312E81"},
            "active:bg-indigo-900": {"activebackground": "#282C59"},
            "active:text-indigo-50": {"activeforeground": "#E0E7FF"},
            "active:text-indigo-100": {"activeforeground": "#C7D2FE"},
            "active:text-indigo-200": {"activeforeground": "#A5B4FC"},
            "active:text-indigo-300": {"activeforeground": "#818CF8"},
            "active:text-indigo-400": {"activeforeground": "#6366F1"},
            "active:text-indigo-500": {"activeforeground": "#4F46E5"},
            "active:text-indigo-600": {"activeforeground": "#4338CA"},
            "active:text-indigo-700": {"activeforeground": "#3730A3"},
            "active:text-indigo-800": {"activeforeground": "#312E81"},
            "active:text-indigo-900": {"activeforeground": "#282C59"},
            "active:bg-purple-50": {"activebackground": "#F3E8FF"},
            "active:bg-purple-100": {"activebackground": "#E9D5FF"},
            "active:bg-purple-200": {"activebackground": "#D6BCFA"},
            "active:bg-purple-300": {"activebackground": "#B794F4"},
            "active:bg-purple-400": {"activebackground": "#9F7AEA"},
            "active:bg-purple-500": {"activebackground": "#805AD5"},
            "active:bg-purple-600": {"activebackground": "#6B46C1"},
            "active:bg-purple-700": {"activebackground": "#553C9A"},
            "active:bg-purple-800": {"activebackground": "#44337A"},
            "active:bg-purple-900": {"activebackground": "#322659"},
            "active:text-purple-50": {"activeforeground": "#F3E8FF"},
            "active:text-purple-100": {"activeforeground": "#E9D5FF"},
            "active:text-purple-200": {"activeforeground": "#D6BCFA"},
            "active:text-purple-300": {"activeforeground": "#B794F4"},
            "active:text-purple-400": {"activeforeground": "#9F7AEA"},
            "active:text-purple-500": {"activeforeground": "#805AD5"},
            "active:text-purple-600": {"activeforeground": "#6B46C1"},
            "active:text-purple-700": {"activeforeground": "#553C9A"},
            "active:text-purple-800": {"activeforeground": "#44337A"},
            "active:text-purple-900": {"activeforeground": "#322659"},
            "w-1": {"width": "4"},
            "w-1.5": {"width": "6"},
            "w-2": {"width": "8"},
            "w-2.5": {"width": "10"},
            "w-3": {"width": "12"},
            "w-3.5": {"width": "14"},
            "w-4": {"width": "16"},
            "w-4.5": {"width": "18"},
            "w-5": {"width": "20"},
            "w-5.5": {"width": "22"},
            "w-6": {"width": "24"},
            "w-6.5": {"width": "26"},
            "w-7": {"width": "28"},
            "w-7.5": {"width": "30"},
            "w-8": {"width": "32"},
            "w-8.5": {"width": "34"},
            "w-9": {"width": "36"},
            "w-9.5": {"width": "38"},
            "w-10": {"width": "40"},
            "w-10.5": {"width": "42"},
            "w-11": {"width": "44"},
            "w-11.5": {"width": "46"},
            "w-12": {"width": "48"},
            "w-12.5": {"width": "50"},
            "w-13": {"width": "52"},
            "w-13.5": {"width": "54"},
            "w-14": {"width": "56"},
            "w-14.5": {"width": "58"},
            "w-15": {"width": "60"},
            "w-15.5": {"width": "62"},
            "w-16": {"width": "64"},
            "w-16.5": {"width": "66"},
            "w-17": {"width": "68"},
            "w-17.5": {"width": "70"},
            "w-18": {"width": "72"},
            "w-18.5": {"width": "74"},
            "w-19": {"width": "76"},
            "w-19.5": {"width": "78"},
            "w-20": {"width": "80"},
            "w-20.5": {"width": "82"},
            "w-21": {"width": "84"},
            "w-21.5": {"width": "86"},
            "w-22": {"width": "88"},
            "w-22.5": {"width": "90"},
            "w-23": {"width": "92"},
            "w-23.5": {"width": "94"},
            "w-24": {"width": "96"},
            "w-24.5": {"width": "98"},
            "w-25": {"width": "100"},
            "w-25.5": {"width": "102"},
            "w-26": {"width": "104"},
            "w-26.5": {"width": "106"},
            "w-27": {"width": "108"},
            "w-27.5": {"width": "110"},
            "w-28": {"width": "112"},
            "w-28.5": {"width": "114"},
            "w-29": {"width": "116"},
            "w-29.5": {"width": "118"},
            "w-30": {"width": "120"},
            "w-30.5": {"width": "122"},
            "w-31": {"width": "124"},
            "w-31.5": {"width": "126"},
            "w-32": {"width": "128"},
            "w-32.5": {"width": "130"},
            "w-33": {"width": "132"},
            "w-33.5": {"width": "134"},
            "w-34": {"width": "136"},
            "w-34.5": {"width": "138"},
            "w-35": {"width": "140"},
            "w-35.5": {"width": "142"},
            "w-36": {"width": "144"},
            "w-36.5": {"width": "146"},
            "w-37": {"width": "148"},
            "w-37.5": {"width": "150"},
            "w-38": {"width": "152"},
            "w-38.5": {"width": "154"},
            "w-39": {"width": "156"},
            "w-39.5": {"width": "158"},
            "w-40": {"width": "160"},
            "w-40.5": {"width": "162"},
            "w-41": {"width": "164"},
            "w-41.5": {"width": "166"},
            "w-42": {"width": "168"},
            "w-42.5": {"width": "170"},
            "w-43": {"width": "172"},
            "w-43.5": {"width": "174"},
            "w-44": {"width": "176"},
            "w-44.5": {"width": "178"},
            "w-45": {"width": "180"},
            "w-45.5": {"width": "182"},
            "w-46": {"width": "184"},
            "w-46.5": {"width": "186"},
            "w-47": {"width": "188"},
            "w-47.5": {"width": "190"},
            "w-48": {"width": "192"},
            "w-48.5": {"width": "194"},
            "w-49": {"width": "196"},
            "w-49.5": {"width": "198"},
            "w-50": {"width": "200"},
            "h-1": {"height": "4"},
            "h-1.5": {"height": "6"},
            "h-2": {"height": "8"},
            "h-2.5": {"height": "10"},
            "h-3": {"height": "12"},
            "h-3.5": {"height": "14"},
            "h-4": {"height": "16"},
            "h-4.5": {"height": "18"},
            "h-5": {"height": "20"},
            "h-5.5": {"height": "22"},
            "h-6": {"height": "24"},
            "h-6.5": {"height": "26"},
            "h-7": {"height": "28"},
            "h-7.5": {"height": "30"},
            "h-8": {"height": "32"},
            "h-8.5": {"height": "34"},
            "h-9": {"height": "36"},
            "h-9.5": {"height": "38"},
            "h-10": {"height": "40"},
            "h-10.5": {"height": "42"},
            "h-11": {"height": "44"},
            "h-11.5": {"height": "46"},
            "h-12": {"height": "48"},
            "h-12.5": {"height": "50"},
            "h-13": {"height": "52"},
            "h-13.5": {"height": "54"},
            "h-14": {"height": "56"},
            "h-14.5": {"height": "58"},
            "h-15": {"height": "60"},
            "h-15.5": {"height": "62"},
            "h-16": {"height": "64"},
            "h-16.5": {"height": "66"},
            "h-17": {"height": "68"},
            "h-17.5": {"height": "70"},
            "h-18": {"height": "72"},
            "h-18.5": {"height": "74"},
            "h-19": {"height": "76"},
            "h-19.5": {"height": "78"},
            "h-20": {"height": "80"},
            "h-20.5": {"height": "82"},
            "h-21": {"height": "84"},
            "h-21.5": {"height": "86"},
            "h-22": {"height": "88"},
            "h-22.5": {"height": "90"},
            "h-23": {"height": "92"},
            "h-23.5": {"height": "94"},
            "h-24": {"height": "96"},
            "h-24.5": {"height": "98"},
            "h-25": {"height": "100"},
            "h-25.5": {"height": "102"},
            "h-26": {"height": "104"},
            "h-26.5": {"height": "106"},
            "h-27": {"height": "108"},
            "h-27.5": {"height": "110"},
            "h-28": {"height": "112"},
            "h-28.5": {"height": "114"},
            "h-29": {"height": "116"},
            "h-29.5": {"height": "118"},
            "h-30": {"height": "120"},
            "h-30.5": {"height": "122"},
            "h-31": {"height": "124"},
            "h-31.5": {"height": "126"},
            "h-32": {"height": "128"},
            "h-32.5": {"height": "130"},
            "h-33": {"height": "132"},
            "h-33.5": {"height": "134"},
            "h-34": {"height": "136"},
            "h-34.5": {"height": "138"},
            "h-35": {"height": "140"},
            "h-35.5": {"height": "142"},
            "h-36": {"height": "144"},
            "h-36.5": {"height": "146"},
            "h-37": {"height": "148"},
            "h-37.5": {"height": "150"},
            "h-38": {"height": "152"},
            "h-38.5": {"height": "154"},
            "h-39": {"height": "156"},
            "h-39.5": {"height": "158"},
            "h-40": {"height": "160"},
            "h-40.5": {"height": "162"},
            "h-41": {"height": "164"},
            "h-41.5": {"height": "166"},
            "h-42": {"height": "168"},
            "h-42.5": {"height": "170"},
            "h-43": {"height": "172"},
            "h-43.5": {"height": "174"},
            "h-44": {"height": "176"},
            "h-44.5": {"height": "178"},
            "h-45": {"height": "180"},
            "h-45.5": {"height": "182"},
            "h-46": {"height": "184"},
            "h-46.5": {"height": "186"},
            "h-47": {"height": "188"},
            "h-47.5": {"height": "190"},
            "h-48": {"height": "192"},
            "h-48.5": {"height": "194"},
            "h-49": {"height": "196"},
            "h-49.5": {"height": "198"},
            "h-50": {"height": "200"},
            "p-none": {"padx": "0", "pady": "0"},
            "p-1": {"padx": "2", "pady": "2"},
            "p-1.5": {"padx": "3", "pady": "3"},
            "p-2": {"padx": "4", "pady": "4"},
            "p-2.5": {"padx": "6", "pady": "6"},
            "p-3": {"padx": "6", "pady": "6"},
            "p-3.5": {"padx": "9", "pady": "9"},
            "p-4": {"padx": "8", "pady": "8"},
            "p-4.5": {"padx": "12", "pady": "12"},
            "p-5": {"padx": "10", "pady": "10"},
            "p-5.5": {"padx": "15", "pady": "15"},
            "p-6": {"padx": "12", "pady": "12"},
            "p-6.5": {"padx": "18", "pady": "18"},
            "p-7": {"padx": "14", "pady": "14"},
            "p-7.5": {"padx": "21", "pady": "21"},
            "p-8": {"padx": "16", "pady": "16"},
            "p-8.5": {"padx": "24", "pady": "24"},
            "p-9": {"padx": "18", "pady": "18"},
            "p-9.5": {"padx": "27", "pady": "27"},
            "p-10": {"padx": "20", "pady": "20"},
            "p-10.5": {"padx": "30", "pady": "30"},
            "p-11": {"padx": "22", "pady": "22"},
            "p-11.5": {"padx": "33", "pady": "33"},
            "p-12": {"padx": "24", "pady": "24"},
            "p-12.5": {"padx": "36", "pady": "36"},
            "p-13": {"padx": "26", "pady": "26"},
            "p-13.5": {"padx": "39", "pady": "39"},
            "p-14": {"padx": "28", "pady": "28"},
            "p-14.5": {"padx": "42", "pady": "42"},
            "p-15": {"padx": "30", "pady": "30"},
            "p-15.5": {"padx": "45", "pady": "45"},
            "p-16": {"padx": "32", "pady": "32"},
            "p-16.5": {"padx": "48", "pady": "48"},
            "p-17": {"padx": "34", "pady": "34"},
            "p-17.5": {"padx": "51", "pady": "51"},
            "p-18": {"padx": "36", "pady": "36"},
            "p-18.5": {"padx": "54", "pady": "54"},
            "p-19": {"padx": "38", "pady": "38"},
            "p-19.5": {"padx": "57", "pady": "57"},
            "p-20": {"padx": "40", "pady": "40"},
            "p-20.5": {"padx": "60", "pady": "60"},
            "p-21": {"padx": "42", "pady": "42"},
            "p-21.5": {"padx": "63", "pady": "63"},
            "p-22": {"padx": "44", "pady": "44"},
            "p-22.5": {"padx": "66", "pady": "66"},
            "p-23": {"padx": "46", "pady": "46"},
            "p-23.5": {"padx": "69", "pady": "69"},
            "p-24": {"padx": "48", "pady": "48"},
            "p-24.5": {"padx": "72", "pady": "72"},
            "p-25": {"padx": "50", "pady": "50"},
            "p-25.5": {"padx": "75", "pady": "75"},
            "p-26": {"padx": "52", "pady": "52"},
            "p-26.5": {"padx": "78", "pady": "78"},
            "p-27": {"padx": "54", "pady": "54"},
            "p-27.5": {"padx": "81", "pady": "81"},
            "p-28": {"padx": "56", "pady": "56"},
            "p-28.5": {"padx": "84", "pady": "84"},
            "p-29": {"padx": "58", "pady": "58"},
            "p-29.5": {"padx": "87", "pady": "87"},
            "p-30": {"padx": "60", "pady": "60"},
            "p-30.5": {"padx": "90", "pady": "90"},
            "p-31": {"padx": "62", "pady": "62"},
            "p-31.5": {"padx": "93", "pady": "93"},
            "p-32": {"padx": "64", "pady": "64"},
            "p-32.5": {"padx": "96", "pady": "96"},
            "p-33": {"padx": "66", "pady": "66"},
            "p-33.5": {"padx": "99", "pady": "99"},
            "p-34": {"padx": "68", "pady": "68"},
            "p-34.5": {"padx": "102", "pady": "102"},
            "p-35": {"padx": "70", "pady": "70"},
            "p-35.5": {"padx": "105", "pady": "105"},
            "p-36": {"padx": "72", "pady": "72"},
            "p-36.5": {"padx": "108", "pady": "108"},
            "p-37": {"padx": "74", "pady": "74"},
            "p-37.5": {"padx": "111", "pady": "111"},
            "p-38": {"padx": "76", "pady": "76"},
            "p-38.5": {"padx": "114", "pady": "114"},
            "p-39": {"padx": "78", "pady": "78"},
            "p-39.5": {"padx": "117", "pady": "117"},
            "p-40": {"padx": "80", "pady": "80"},
            "p-40.5": {"padx": "120", "pady": "120"},
            "p-41": {"padx": "82", "pady": "82"},
            "p-41.5": {"padx": "123", "pady": "123"},
            "p-42": {"padx": "84", "pady": "84"},
            "p-42.5": {"padx": "126", "pady": "126"},
            "p-43": {"padx": "86", "pady": "86"},
            "p-43.5": {"padx": "129", "pady": "129"},
            "p-44": {"padx": "88", "pady": "88"},
            "p-44.5": {"padx": "132", "pady": "132"},
            "p-45": {"padx": "90", "pady": "90"},
            "p-45.5": {"padx": "135", "pady": "135"},
            "p-46": {"padx": "92", "pady": "92"},
            "p-46.5": {"padx": "138", "pady": "138"},
            "p-47": {"padx": "94", "pady": "94"},
            "p-47.5": {"padx": "141", "pady": "141"},
            "p-48": {"padx": "96", "pady": "96"},
            "p-48.5": {"padx": "144", "pady": "144"},
            "p-49": {"padx": "98", "pady": "98"},
            "p-49.5": {"padx": "147", "pady": "147"},
            "p-50": {"padx": "100", "pady": "100"},
            "p-50.5": {"padx": "150", "pady": "150"},
            "px-1": {"padx": "2"},
            "px-2": {"padx": "4"},
            "px-3": {"padx": "6"},
            "px-4": {"padx": "8"},
            "px-5": {"padx": "10"},
            "px-6": {"padx": "12"},
            "px-7": {"padx": "14"},
            "px-8": {"padx": "16"},
            "px-9": {"padx": "18"},
            "px-10": {"padx": "20"},
            "px-11": {"padx": "22"},
            "px-12": {"padx": "24"},
            "px-13": {"padx": "26"},
            "px-14": {"padx": "28"},
            "px-15": {"padx": "30"},
            "px-16": {"padx": "32"},
            "px-17": {"padx": "34"},
            "px-18": {"padx": "36"},
            "px-19": {"padx": "38"},
            "px-20": {"padx": "40"},
            "px-21": {"padx": "42"},
            "px-22": {"padx": "44"},
            "px-23": {"padx": "46"},
            "px-24": {"padx": "48"},
            "px-25": {"padx": "50"},
            "px-26": {"padx": "52"},
            "px-27": {"padx": "54"},
            "px-28": {"padx": "56"},
            "px-29": {"padx": "58"},
            "px-30": {"padx": "60"},
            "px-31": {"padx": "62"},
            "px-32": {"padx": "64"},
            "px-33": {"padx": "66"},
            "px-34": {"padx": "68"},
            "px-35": {"padx": "70"},
            "px-36": {"padx": "72"},
            "px-37": {"padx": "74"},
            "px-38": {"padx": "76"},
            "px-39": {"padx": "78"},
            "px-40": {"padx": "80"},
            "px-41": {"padx": "82"},
            "px-42": {"padx": "84"},
            "px-43": {"padx": "86"},
            "px-44": {"padx": "88"},
            "px-45": {"padx": "90"},
            "px-46": {"padx": "92"},
            "px-47": {"padx": "94"},
            "px-48": {"padx": "96"},
            "px-49": {"padx": "98"},
            "px-50": {"padx": "100"},
            "py-1": {"pady": "2"},
            "py-2": {"pady": "4"},
            "py-3": {"pady": "6"},
            "py-4": {"pady": "8"},
            "py-5": {"pady": "10"},
            "py-6": {"pady": "12"},
            "py-7": {"pady": "14"},
            "py-8": {"pady": "16"},
            "py-9": {"pady": "18"},
            "py-10": {"pady": "20"},
            "py-11": {"pady": "22"},
            "py-12": {"pady": "24"},
            "py-13": {"pady": "26"},
            "py-14": {"pady": "28"},
            "py-15": {"pady": "30"},
            "py-16": {"pady": "32"},
            "py-17": {"pady": "34"},
            "py-18": {"pady": "36"},
            "py-19": {"pady": "38"},
            "py-20": {"pady": "40"},
            "py-21": {"pady": "42"},
            "py-22": {"pady": "44"},
            "py-23": {"pady": "46"},
            "py-24": {"pady": "48"},
            "py-25": {"pady": "50"},
            "py-26": {"pady": "52"},
            "py-27": {"pady": "54"},
            "py-28": {"pady": "56"},
            "py-29": {"pady": "58"},
            "py-30": {"pady": "60"},
            "py-31": {"pady": "62"},
            "py-32": {"pady": "64"},
            "py-33": {"pady": "66"},
            "py-34": {"pady": "68"},
            "py-35": {"pady": "70"},
            "py-36": {"pady": "72"},
            "py-37": {"pady": "74"},
            "py-38": {"pady": "76"},
            "py-39": {"pady": "78"},
            "py-40": {"pady": "80"},
            "py-41": {"pady": "82"},
            "py-42": {"pady": "84"},
            "py-43": {"pady": "86"},
            "py-44": {"pady": "88"},
            "py-45": {"pady": "90"},
            "py-46": {"pady": "92"},
            "py-47": {"pady": "94"},
            "py-48": {"pady": "96"},
            "py-49": {"pady": "98"},
            "py-50": {"pady": "100"},
            "border-none": {"relief": "solid","border": "0"},
            "border": {"relief": "solid","border": "2"},
            "border-2": {"relief": "solid","border": "4"},
            "border-3": {"relief": "solid","border": "6"},
            "border-4": {"relief": "solid","border": "8"},
            "border-5": {"relief": "solid","border": "10"},
            "border-6": {"relief": "solid","border": "12"},
            "border-7": {"relief": "solid","border": "14"},
            "border-8": {"relief": "solid","border": "16"},
            "border-9": {"relief": "solid","border": "18"},
            "border-10": {"relief": "solid","border": "20"},
            "border-11": {"relief": "solid","border": "22"},
            "border-12": {"relief": "solid","border": "24"},
            "border-13": {"relief": "solid","border": "26"},
            "border-14": {"relief": "solid","border": "28"},
            "border-15": {"relief": "solid","border": "30"},
            "border-16": {"relief": "solid","border": "32"},
            "border-17": {"relief": "solid","border": "34"},
            "border-18": {"relief": "solid","border": "36"},
            "border-19": {"relief": "solid","border": "38"},
            "border-20": {"relief": "solid","border": "40"},
            "border-21": {"relief": "solid","border": "42"},
            "border-22": {"relief": "solid","border": "44"},
            "border-23": {"relief": "solid","border": "46"},
            "border-24": {"relief": "solid","border": "48"},
            "border-25": {"relief": "solid","border": "50"},
            "border-26": {"relief": "solid","border": "52"},
            "border-27": {"relief": "solid","border": "54"},
            "border-28": {"relief": "solid","border": "56"},
            "border-29": {"relief": "solid","border": "58"},
            "border-30": {"relief": "solid","border": "60"},
            "border-31": {"relief": "solid","border": "62"},
            "border-32": {"relief": "solid","border": "64"},
            "border-33": {"relief": "solid","border": "66"},
            "border-34": {"relief": "solid","border": "68"},
            "border-35": {"relief": "solid","border": "70"},
            "border-36": {"relief": "solid","border": "72"},
            "border-37": {"relief": "solid","border": "74"},
            "border-38": {"relief": "solid","border": "76"},
            "border-39": {"relief": "solid","border": "78"},
            "border-40": {"relief": "solid","border": "80"},
            "border-41": {"relief": "solid","border": "82"},
            "border-42": {"relief": "solid","border": "84"},
            "border-43": {"relief": "solid","border": "86"},
            "border-44": {"relief": "solid","border": "88"},
            "border-45": {"relief": "solid","border": "90"},
            "border-46": {"relief": "solid","border": "92"},
            "border-47": {"relief": "solid","border": "94"},
            "border-48": {"relief": "solid","border": "96"},
            "border-49": {"relief": "solid","border": "98"},
            "border-50": {"relief": "solid","border": "100"},
            "border-w-none": {"borderwidth": "0"},
            "border-w-1": {"borderwidth": "2"},
            "border-w-2": {"borderwidth": "4"},
            "border-w-3": {"borderwidth": "6"},
            "border-w-4": {"borderwidth": "8"},
            "border-w-5": {"borderwidth": "10"},
            "border-w-6": {"borderwidth": "12"},
            "border-w-7": {"borderwidth": "14"},
            "border-w-8": {"borderwidth": "16"},
            "border-w-9": {"borderwidth": "18"},
            "border-w-10": {"borderwidth": "20"},
            "border-w-11": {"borderwidth": "22"},
            "border-w-12": {"borderwidth": "24"},
            "border-w-13": {"borderwidth": "26"},
            "border-w-14": {"borderwidth": "28"},
            "border-w-15": {"borderwidth": "30"},
            "border-w-16": {"borderwidth": "32"},
            "border-w-17": {"borderwidth": "34"},
            "border-w-18": {"borderwidth": "36"},
            "border-w-19": {"borderwidth": "38"},
            "border-w-20": {"borderwidth": "40"},
            "border-w-21": {"borderwidth": "42"},
            "border-w-22": {"borderwidth": "44"},
            "border-w-23": {"borderwidth": "46"},
            "border-w-24": {"borderwidth": "48"},
            "border-w-25": {"borderwidth": "50"},
            "border-w-26": {"borderwidth": "52"},
            "border-w-27": {"borderwidth": "54"},
            "border-w-28": {"borderwidth": "56"},
            "border-w-29": {"borderwidth": "58"},
            "border-w-30": {"borderwidth": "60"},
            "border-w-31": {"borderwidth": "62"},
            "border-w-32": {"borderwidth": "64"},
            "border-w-33": {"borderwidth": "66"},
            "border-w-34": {"borderwidth": "68"},
            "border-w-35": {"borderwidth": "70"},
            "border-w-36": {"borderwidth": "72"},
            "border-w-37": {"borderwidth": "74"},
            "border-w-38": {"borderwidth": "76"},
            "border-w-39": {"borderwidth": "78"},
            "border-w-40": {"borderwidth": "80"},
            "border-w-41": {"borderwidth": "82"},
            "border-w-42": {"borderwidth": "84"},
            "border-w-43": {"borderwidth": "86"},
            "border-w-44": {"borderwidth": "88"},
            "border-w-45": {"borderwidth": "90"},
            "border-w-46": {"borderwidth": "92"},
            "border-w-47": {"borderwidth": "94"},
            "border-w-48": {"borderwidth": "96"},
            "border-w-49": {"borderwidth": "98"},
            "border-w-50": {"borderwidth": "100"},
            "rounded": {"borderwidth": "0"},
        }

        # Processing of custom classes
        custom_styles = {}
        cls_parts = cls.split()
        for c in cls_parts:
            if c.startswith("bg-[#") and c.endswith("]"):
                color_code = c[4:-1]
                custom_styles["bg"] = color_code
            elif c.startswith("text-[#") and c.endswith("]"):
                color_code = c[6:-1]
                custom_styles["fg"] = color_code
            elif c.startswith("h-[") and c.endswith("]"):
                height_value = c[3:-1]
                custom_styles["height"] = height_value
            elif c.startswith("w-[") and c.endswith("]"):
                width_value = c[3:-1]
                custom_styles["width"] = width_value
            elif c.startswith("p-[") and c.endswith("]"):
                padding_value = c[3:-1]
                custom_styles["padx"] = padding_value
                custom_styles["pady"] = padding_value
            elif c.startswith("px-[") and c.endswith("]"):
                padx_value = c[4:-1] 
                custom_styles["padx"] = padx_value
            elif c.startswith("py-[") and c.endswith("]"):
                pady_value = c[4:-1] 
                custom_styles["pady"] = pady_value
            elif c.startswith("border-[") and c.endswith("]"):
                border_value = c[9:-1]  
                custom_styles["border"] = border_value
            elif c.startswith("border-w-[") and c.endswith("]"):
                border_w_value = c[10:-1]  
                custom_styles["borderwidth"] = border_w_value

      
        style = {}
        for c in cls_parts:
            if c in class_settings:
                style.update(class_settings[c])
        style.update(custom_styles)

        widget.configure(**style)
